# Uses of Interface
org.springframework.http.client.ClientHttpRequestExecution

Packages that use ClientHttpRequestExecution
Package
Description
org.springframework.http.client
Contains an abstraction over client-side HTTP.
org.springframework.http.client.support
This package provides generic HTTP support classes, to be used by higher-level classes like RestTemplate.

## Uses of ClientHttpRequestExecution in org.springframework.http.client

Methods in org.springframework.http.client with parameters of type ClientHttpRequestExecution
Modifier and Type
Method
Description
`ClientHttpResponse`
ClientHttpRequestInterceptor.`intercept(HttpRequest request, byte[] body, ClientHttpRequestExecution execution)`
Intercept the given request, and return a response.

## Uses of ClientHttpRequestExecution in org.springframework.http.client.support

Methods in org.springframework.http.client.support with parameters of type ClientHttpRequestExecution
Modifier and Type
Method
Description
`ClientHttpResponse`
BasicAuthenticationInterceptor.`intercept(HttpRequest request, byte[] body, ClientHttpRequestExecution execution)`